Batch
Batch create/update/send of invoices and bulk resource deletion
Batch create invoices
POST /api/v1/batch/invoices/create
Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.
Corps de la requête
| Champ |
Type |
Requis |
Description |
invoices |
array |
oui |
|
Réponses
| Statut |
Description |
| 201 |
For non-paginated data, return as before |
| 422 |
|
Exemple de requête
curl -X POST "https://kworia.com/api/v1/batch/invoices/create" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"invoices": []
}'
Batch send invoices
POST /api/v1/batch/invoices/send
Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.
Sends multiple invoices via email and/or PEPPOL e-invoicing network.
Supports partial failures - some invoices may succeed while others fail.
Corps de la requête
| Champ |
Type |
Requis |
Description |
method |
string |
non |
|
message |
string |
non |
|
attach_pdf |
boolean |
non |
|
invoice_ids |
array |
oui |
|
peppol_recipient |
object |
non |
|
Réponses
| Statut |
Description |
| 200 |
For non-paginated data, return as before |
| 422 |
|
Exemple de requête
curl -X POST "https://kworia.com/api/v1/batch/invoices/send" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"method": "string",
"message": "string",
"attach_pdf": true,
"invoice_ids": [],
"peppol_recipient": {}
}'
Batch update invoices
POST /api/v1/batch/invoices/update
Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.
Corps de la requête
| Champ |
Type |
Requis |
Description |
updates |
array |
oui |
|
Réponses
| Statut |
Description |
| 200 |
For non-paginated data, return as before |
| 422 |
|
Exemple de requête
curl -X POST "https://kworia.com/api/v1/batch/invoices/update" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"updates": []
}'
Batch delete resources
DELETE /api/v1/batch/resources
Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.
Paramètres
| Nom |
Emplacement |
Type |
Requis |
Description |
resource |
query |
string |
oui |
|
ids[] |
query |
array |
oui |
|
Réponses
| Statut |
Description |
| 200 |
For non-paginated data, return as before |
| 422 |
|
Exemple de requête
curl -X DELETE "https://kworia.com/api/v1/batch/resources" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json"